Skip to main content
GET
Get

Authorizations

Authorization
string
header
required

OAuth 2.0 client-credentials flow. Request an access token from the token endpoint and send it as Authorization: Bearer <token>.

Path Parameters

id
string
required

Global id of the authenticator.

Response

The authenticator.

An Oleria Authenticator object represents an IDP configured authentication mechanism that is available for assignment, enrollment, and login

id
string
required

An identifier (unique to the integrated or assigned application) of any object or entity represented in the Oleria system as well as any relationship or connection among entities when they are represented in Oleria. Oleria converts these identifiers to global ids so they can be unique in the context of the global system graph. The full list of Oleria objects or entities is defined by the object-type enumeration, and the full list of relationships or connections is defined by the relationship-type enumeration

Minimum string length: 1
authenticationKeys
string[]
required

Each array item is a base64 encoded SHA256 hash of authentication configuration properties.The authenticationKeys property is used by Oleria to match enterprise application IntegratedApplication objects with corresponding identity provider configured AssignedApplication objects assigned to accounts or groups. When these objects are connected and there's a match in authenticationKeys and federated identity, the Oleria platform will connect Account objects that have an Identity AccountAuthenticationFunction with their corresponding Account objects that have an ApplicationAccount AccountAuthenticationFunction, and indicate an SSO-based login flow is available. The following protocol configurations are supported:

  1. SAML configurations encode the SAML certificate raw public key info
  2. First party configurations e.g. Microsoft Entra to Microsoft 365 Apps encode the app type + the first party instance specific instance key with a ":" delimiter
  3. OIDC configurations encode the lowercased issuer URL (with trailing slash appended) and the client ID, joined by a "," delimiter, SHA256 hashed and base64 (standard encoding) encoded. Example input: "https://login.example.com/tenant/v2.0/,client-id-abc"
  4. RADIUS configuration encoding is TBD
Example:
authenticationMethods
object[]
required
isActive
boolean
required
name
string
required
objectMetadata
object
required

The ObjectMetadata structure defines metadata that applies to every object and relationship, and is usually managed by the system that receives the data

globalId
string
required
oleriaObjectMetadata
object
required

object metadata supersets object metadata with platform enrichment provenance — the enrichment version and the time the record was generated

description
string
sorPrimaryStewardEmail
string